[BACK]Return to Makefile.common CVS log [TXT][DIR] Up to [cvs.NetBSD.org] / pkgsrc / www / webkit24-gtk

File: [cvs.NetBSD.org] / pkgsrc / www / webkit24-gtk / Makefile.common (download)

Revision 1.13, Fri Apr 26 13:14:23 2019 UTC (6 months, 3 weeks ago) by maya
Branch: MAIN
Changes since 1.12: +2 -2 lines

Omit mentions of python 34 and 35, after those were removed.

- Includes some whitespace changes, to be handled in a separate commit.

# $NetBSD: Makefile.common,v 1.13 2019/04/26 13:14:23 maya Exp $
# used by www/webkit24-gtk/Makefile
# used by www/webkit24-gtk3/Makefile

DISTNAME=	webkitgtk-2.4.11
CATEGORIES=	www
MASTER_SITES=	https://www.webkitgtk.org/releases/
EXTRACT_SUFX=	.tar.xz

MAINTAINER=	pkgsrc-users@NetBSD.org
HOMEPAGE=	https://www.webkitgtk.org/
LICENSE=	2-clause-bsd AND gnu-lgpl-v2

DISTINFO_FILE=		${.CURDIR}/../../www/webkit24-gtk/distinfo
PATCHDIR=		${.CURDIR}/../../www/webkit24-gtk/patches

USE_LANGUAGES=	c c++11
USE_LIBTOOL=	yes
USE_TOOLS+=	automake bison gmake perl:build pkg-config msgfmt
USE_TOOLS+=	msgmerge xgettext

# Enabling -gdwarf-2 hits GNU ar limits on file size.
CTF_SUPPORTED=	no

# GCC >= 4.8 (for std::this_thread::yield() at least) or Clang >= 3.3
GCC_REQD+=	4.8

# gmake 3.81 enters a 100% CPU spin.
GMAKE_REQD+=	4.1

PKGCONFIG_OVERRIDE=	Source/WebKit/gtk/webkit.pc.in

MAKE_FILE=	GNUmakefile
GNU_CONFIGURE=	yes

CONFIGURE_ARGS+=	--enable-x11-target \
			--disable-geolocation \
			--disable-gtk-doc-html

.include "../../mk/compiler.mk"
.if (!empty(PKGSRC_COMPILER:Mgcc) && !empty(_USE_PKGSRC_GCC:M[yY][eE][sS]))
BUILDLINK_TRANSFORM+=	rm:-D_FORTIFY_SOURCE=2
.endif

.include "options.mk"

REPLACE_PERL+=	Source/JavaScriptCore/create_hash_table \
		Source/WebCore/bindings/scripts/*.pl \
		Source/WebCore/bindings/scripts/InFilesCompiler.pm \
		Source/WebCore/bindings/scripts/InFilesParser.pm \
		Source/WebCore/css/*.pl \
		Source/WebCore/dom/*.pl \
		Source/WebCore/make-hash-tools.pl \
		Source/WebCore/platform/text/mac/*.pl

REPLACE_PYTHON+=	Tools/gtk/*.py \
			Tools/gtk/generate-feature-defines-files \
			Tools/gtk/generate-gtkdoc

.include "../../lang/ruby/rubyversion.mk"
BUILD_DEPENDS+=	${RUBY_BASE}>=${RUBY_VERSION}:${RUBY_SRCDIR}
CONFIGURE_ENV+=	RUBY=${RUBY}

PYTHON_FOR_BUILD_ONLY=	yes
PYTHON_VERSIONS_INCOMPATIBLE=	 36 37 # not yet ported as of 1.10.2
.include "../../lang/python/application.mk"
CONFIGURE_ENV+=	PYTHON=${PYTHONBIN}

CXXFLAGS.SunOS+=	-fpermissive

.if !empty(PKGSRC_COMPILER:Mclang)
CXXFLAGS+=	-Wno-c++11-narrowing
.endif

.if !empty(MACHINE_PLATFORM:MSunOS-*-x86_64)
CONFIGURE_ARGS+=	--disable-fast-malloc
CPPFLAGS+=		-DUSE_SYSTEM_MALLOC
.endif

BUILDLINK_API_DEPENDS.glib2+= glib2>=2.32.1
.include "../../devel/glib2/buildlink3.mk"
.include "../../devel/zlib/buildlink3.mk"
.include "../../databases/sqlite3/buildlink3.mk"
.include "../../devel/flex/buildlink3.mk"
.include "../../devel/gperf/buildlink3.mk"
# This is optional, but needs testing.
#.include "../../devel/pango/buildlink3.mk"
# A correct Webkit build requires flex 2.5.33
.include "../../graphics/freetype2/buildlink3.mk"
.include "../../graphics/libwebp/buildlink3.mk"
.include "../../mk/jpeg.buildlink3.mk"
BUILDLINK_API_DEPENDS.png+= png>=1.5.1beta08
.include "../../graphics/png/buildlink3.mk"
BUILDLINK_API_DEPENDS.gstreamer1+=	gstreamer1>=1.0.3
.include "../../multimedia/gstreamer1/buildlink3.mk"
BUILDLINK_API_DEPENDS.gst-plugins1-base+=	gst-plugins1-base>=1.0.3
.include "../../multimedia/gst-plugins1-base/buildlink3.mk"
BUILDLINK_API_DEPENDS.libsoup+= libsoup>=2.42.2nb3
.include "../../net/libsoup/buildlink3.mk"
.include "../../security/libsecret/buildlink3.mk"
.include "../../textproc/icu/buildlink3.mk"
.include "../../textproc/libxslt/buildlink3.mk"
.include "../../x11/libXdamage/buildlink3.mk"
.include "../../x11/libXt/buildlink3.mk"
.include "../../mk/pthread.buildlink3.mk"